summaryrefslogtreecommitdiff
path: root/.config
diff options
context:
space:
mode:
Diffstat (limited to '.config')
-rw-r--r--.config/tmux/.tmux.conf63
-rw-r--r--.config/zsh/antigen_pkgs.zsh.zwcbin0 -> 1192 bytes
-rw-r--r--.config/zsh/history.zsh2
-rw-r--r--.config/zsh/programs.zsh42
4 files changed, 103 insertions, 4 deletions
diff --git a/.config/tmux/.tmux.conf b/.config/tmux/.tmux.conf
index bcf1583..090bd56 100644
--- a/.config/tmux/.tmux.conf
+++ b/.config/tmux/.tmux.conf
@@ -1,5 +1,6 @@
-# Stolen from: https://gist.github.com/spicycode/1229612
# show session, window, pane in left status bar
+set -g @plugin 'tmux-plugins/tpm'
+set -g @plugin "arcticicestudio/nord-tmux"
set -g terminal-overrides ',xterm-256color:Tc'
set -g default-terminal "screen-256color"
set -as terminal-overrides ',xterm*:sitm=\E[3m'
@@ -7,16 +8,68 @@ set -as terminal-overrides ',xterm*:sitm=\E[3m'
set -g status-position top # statusbar position
set -g status-interval 1
set -g status-left-length 40
-set-option -g status-left '#[fg=white]⚡️#(whoami)@#(hostname -s) | #[fg=green]'
-set-option -g status-right '#[fg=aqua]%b %_d %H:%M'
+set -g status-right-length 140
+#set-option -g status-left '#[fg=white]⚡️#(whoami)@#(hostname -s) | #[fg=green]'
+#set-option -g status-right '#[fg=aqua]%b %_d %H:%M'
+
+#+----------------+
+#+ Plugin Support +
+#+----------------+
+#+--- tmux-prefix-highlight ---+
+set -g @prefix_highlight_fg black
+set -g @prefix_highlight_bg brightcyan
+
+#+---------+
+#+ Options +
+#+---------+
+set -g status-interval 1
+set -g status on
+#+--------+
+#+ Status +
+#+--------+
+#+--- Layout ---+
+set -g status-justify left
#+--- Colors ---+
-set -g status-bg black
+set -g status-bg default
set -g status-fg white
+
+#+-------+
+#+ Panes +
+#+-------+
+set -g display-panes-colour black
+set -g display-panes-active-colour brightblack
+
+#+------------+
+#+ Clock Mode +
+#+------------+
setw -g clock-mode-colour cyan
+#+----------------+
+#+ Plugin Support +
+#+----------------+
+#+--- tmux-prefix-highlight ---+
+set -g @prefix_highlight_copy_mode_attr "fg=black,bg=brightcyan"
+
+#+--------+
+#+ Status +
+#+--------+
+#+--- Bars ---+
+set -g status-left "#[fg=black,bg=blue,bold] #S "
+set -g status-right "#{prefix_highlight}#[fg=white,bg=brightblack] %a %d %b %H:%M:%S #[fg=white,bg=brightblack,nobold,noitalics,nounderscore]|#[fg=white,bg=brightblack] ${NORD_TMUX_STATUS_TIME_FORMAT}#[fg=cyan,bg=brightblack,nobold,noitalics,nounderscore] #[fg=black,bg=cyan,bold] #(whoami)@#(hostname -s) "
+
+#+--- Windows ---+
+set -g window-status-format "#[fg=white,bg=black] #I #[fg=white,bg=black]#W #F "
+set -g window-status-current-format "#[fg=white,bg=default] #I#[fg=white,bg=default,nobold,noitalics,nounderscore] #[fg=white,bg=default,bold]#W #F "
+set -g window-status-separator ""
+#+--- Colors ---+
+#set -g status-bg black
+#set -g status-fg white
+#setw -g clock-mode-colour cyan
+
+
# 0 is too far from ` ;)
set -g base-index 1
@@ -87,3 +140,5 @@ set -sg escape-time 0
bind r source-file $HOME/.config/tmux/.tmux.conf
if-shell 'test "$SSH_CONNECTION"' 'set -g status-bg red'
+
+run '~/.config/tmux/plugins/tpm/tpm'
diff --git a/.config/zsh/antigen_pkgs.zsh.zwc b/.config/zsh/antigen_pkgs.zsh.zwc
new file mode 100644
index 0000000..4fdb8ab
--- /dev/null
+++ b/.config/zsh/antigen_pkgs.zsh.zwc
Binary files differ
diff --git a/.config/zsh/history.zsh b/.config/zsh/history.zsh
new file mode 100644
index 0000000..2154040
--- /dev/null
+++ b/.config/zsh/history.zsh
@@ -0,0 +1,2 @@
+bindkey "^[[A" history-beginning-search-backward
+bindkey "^[[B" history-beginning-search-forward
diff --git a/.config/zsh/programs.zsh b/.config/zsh/programs.zsh
new file mode 100644
index 0000000..ba79461
--- /dev/null
+++ b/.config/zsh/programs.zsh
@@ -0,0 +1,42 @@
+if command -v exa > /dev/null; then
+ alias ls='exa -al --color=always --group-directories-first' # my preferred listing
+ alias la='exa -a --color=always --group-directories-first' # all files and dirs
+ alias ll='exa -l --color=always --group-directories-first' # long format
+ alias lt='exa -aT --color=always --group-directories-first' # tree listing
+ alias l.='exa -a | egrep "^\."'
+else
+ echo "install exa"
+fi
+
+if command -v bat > /dev/null; then
+ alias cat='bat'
+else
+ echo "install bat"
+fi
+
+if command -v rg > /dev/null; then
+ alias grep='rg'
+else
+ echo "install ripgrep"
+fi
+
+if command -v fd > /dev/null; then
+ alias find='fd'
+else
+ echo "install fd"
+fi
+
+if ! command -v tokei > /dev/null; then
+ echo "install tokei"
+fi
+
+if command -v procs > /dev/null; then
+ alias ps='procs'
+else
+ echo "install procs"
+fi
+
+if ! command -v ytop > /dev/null; then
+ echo "install ytop"
+fi
+